EDIT - bug #9029

Adapt character matrix to using dtos instead of whole cdm entities
05/26/2020 09:04 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal Found in Version:

Description

The character matrix uses only wrappers collecting the cdm entities used for a matrix row. This should be changed to dtos.

Related issues:
Related to EDIT - bug #8783: Massive Heap consumption in server instance open...

Closed

Associated revisions

Revision 89b2d0e7 - 05/15/2020 11:40 AM - Katja Luther

ref #8785: dtos for character matrix should not contain cdm objects

Revision 7f90724d - 05/19/2020 12:12 PM - Katja Luther
ref #8785: adapt descriptionDto

Revision fd711754 - 05/19/2020 12:16 PM - Katja Luther

ref #8785: update descriptions in description list after merge

Revision 3e46911a - 05/20/2020 09:35 AM - Katja Luther
ref #8785: adapt label provider to dto

Revision c27c9ede - 05/26/2020 09:07 AM - Katja Luther

ref #9029: avoid description duplicates

Revision dac4b16b - 05/26/2020 10:16 AM - Katja Luther

ref #9029: adapt character matrix to dtos

Revision 6fcdf7cc - 05/26/2020 11:07 AM - Katja Luther

ref #9029: do not add specimen in long running task to avoid description duplicate - continue

Revision 08332188 - 06/04/2020 11:39 AM - Katja Luther

ref #9029: merge needs to handle all kind of descriptions

History

#1 - 06/11/2020 12:27 PM - Katja Luther

- Status changed from New to Closed

this is fixed.

#2 - 06/18/2020 02:09 PM - Katja Luther

- Related to bug #8783: Massive Heap consumption in server instance opening the Description-Matrix editor added
